Create Validation
curl --request POST \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--header 'x-partner-id: <x-partner-id>' \
--data '
{
"strategy": "VStrat_Microdeposit",
"vendor": "VVendor_Paylias"
}
'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id}"
payload = {
"strategy": "VStrat_Microdeposit",
"vendor": "VVendor_Paylias"
}
headers = {
"x-partner-id": "<x-partner-id>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-partner-id': '<x-partner-id>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({strategy: 'VStrat_Microdeposit', vendor: 'VVendor_Paylias'})
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Validation
Create Validation
Create Validation
POST
/
api
/
v1
/
csp
/
validate
/
{account_id}
Create Validation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Partner ID header used for authorization
The Idempotency Key - usually a UUID
Path Parameters
The unique identifier for the account
Example:
"acct_ctf930420orabtojo3r0"
Body
application/json
Request to validate a new account
Response
200 - undefined
Was this page helpful?
⌘I